xine-lib: vdec_hw_h264_sequence_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
vdec_hw_h264_sequence_t Struct Reference

## Data Fields
uint32_t | coded_width
uint32_t | coded_height
uint64_t | video_step
double | ratio
double | user_ratio
int | color_matrix
int | slices_count
uint32_t | slice_mode
const uint8_t * | slices_bitstream [80]
uint32_t | slices_bytes [80]
vdec_hw_h264_sps_t * | sps [32]
vdec_hw_h264_pps_t * | pps [256]
vdec_hw_h264_lps_t | lps
vdec_hw_h264_frame_int_t * | dpb [16+1]
uint16_t | prevFrameNum
uint16_t | prevFrameNumOffset
uint8_t | prevMMC5
int | chroma
vdec_hw_h264_frame_info_t | info
struct { |
uint8_t * mem |
uint32_t max |
int32_t nal_unit |
uint32_t read |
uint32_t write |
} | buf |
int64_t | pic_pts
bits_reader_t | br
int | reset
int | startup_frame
uint8_t | nal_unit_prefix

## Field Documentation

## ◆ br

bits_reader_t vdec_hw_h264_sequence_t::br

## ◆ [struct]

struct { ... } vdec_hw_h264_sequence_t::buf

## ◆ chroma

int vdec_hw_h264_sequence_t::chroma

## ◆ coded_height

uint32_t vdec_hw_h264_sequence_t::coded_height

## ◆ coded_width

uint32_t vdec_hw_h264_sequence_t::coded_width

## ◆ color_matrix

int vdec_hw_h264_sequence_t::color_matrix

## ◆ dpb

vdec_hw_h264_frame_int_t* vdec_hw_h264_sequence_t::dpb[16+1]

## ◆ info

vdec_hw_h264_frame_info_t vdec_hw_h264_sequence_t::info

## ◆ lps

vdec_hw_h264_lps_t vdec_hw_h264_sequence_t::lps

## ◆ max

uint32_t vdec_hw_h264_sequence_t::max

<< memory

## ◆ mem

uint8_t* vdec_hw_h264_sequence_t::mem

<< bytestream buf

## ◆ nal_unit

int32_t vdec_hw_h264_sequence_t::nal_unit

<< allocated size, minus a pad reserve

## ◆ nal_unit_prefix

uint8_t vdec_hw_h264_sequence_t::nal_unit_prefix

## ◆ pic_pts

int64_t vdec_hw_h264_sequence_t::pic_pts

## ◆ pps

vdec_hw_h264_pps_t* vdec_hw_h264_sequence_t::pps[256]

## ◆ prevFrameNum

uint16_t vdec_hw_h264_sequence_t::prevFrameNum

## ◆ prevFrameNumOffset

uint16_t vdec_hw_h264_sequence_t::prevFrameNumOffset

## ◆ prevMMC5

uint8_t vdec_hw_h264_sequence_t::prevMMC5

## ◆ ratio

double vdec_hw_h264_sequence_t::ratio

<< frame duration in pts units

## ◆ read

uint32_t vdec_hw_h264_sequence_t::read

<< offs of a yet unprocessed nal unit, or -1

## ◆ reset

int vdec_hw_h264_sequence_t::reset

## ◆ slice_mode

uint32_t vdec_hw_h264_sequence_t::slice_mode

## ◆ slices_bitstream

const uint8_t* vdec_hw_h264_sequence_t::slices_bitstream[80]

## ◆ slices_bytes

uint32_t vdec_hw_h264_sequence_t::slices_bytes[80]

## ◆ slices_count

int vdec_hw_h264_sequence_t::slices_count

## ◆ sps

vdec_hw_h264_sps_t* vdec_hw_h264_sequence_t::sps[32]

## ◆ startup_frame

int vdec_hw_h264_sequence_t::startup_frame

## ◆ user_ratio

double vdec_hw_h264_sequence_t::user_ratio

## ◆ video_step

uint64_t vdec_hw_h264_sequence_t::video_step

## ◆ write

uint32_t vdec_hw_h264_sequence_t::write

<< parse here

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_dec/libvdpau/vdec_hw_h264.c